public class Wartezimmer {
  private Warteplatz ersterPlatz;
  private Warteplatz letzterPlatz;

  public Wartezimmer() {   
    ersterPlatz = null;
    letzterPlatz = null;
  }

  public void entfernePatient() {
    if (!istLeer()) {
      ersterPlatz = ersterPlatz.gibNachfolger();
    }    
  }

  public void ergaenzePatient(Patient pNeu) {
    if (istLeer()) {
      ersterPlatz = new Warteplatz(pNeu);
      letzterPlatz = ersterPlatz;
    } else {
      letzterPlatz.setzeNachfolger(new Warteplatz(pNeu));
      letzterPlatz = letzterPlatz.gibNachfolger();
    }    
  }

  public Patient ersterPatient() {
    if (istLeer()) {
      return null;
    } else { 
      return ersterPlatz.gibPatient();
    }
  }

  public boolean istLeer() {
    return ersterPlatz == null;
  }

}
